Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.http.modifier
Class URLRewritingModifier

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.protocol.http.modifier.URLRewritingModifier

All Implemented Interfaces:
  Cloneable, PreProcessor, Serializable, TestElement

public class URLRewritingModifier
extends AbstractTestElement
implements Serializable, PreProcessor

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`URLRewritingModifier()`

Method Summary
`String` | `getArgumentName()`
`boolean` | `isPathExtension()`
`boolean` | `isPathExtensionNoEquals()`
`boolean` | `isPathExtensionNoQuestionmark()`
`void` | `process()`
`void` | `setArgumentName(String argName)`
`void` | `setPathExtension(boolean pathExt)`
`void` | `setPathExtensionNoEquals(boolean pathExtNoEquals)`
`void` | `setPathExtensionNoQuestionmark(boolean pathExtNoQuestionmark)`
`void` | `setShouldCache(boolean b)`
`boolean` | `shouldCache()`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, addTestElement, canRemove, clear, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLRewritingModifier

    public URLRewritingModifier()

Method Detail

### process

    public void process()

  Specified by:
    `process` in interface `PreProcessor`

### setArgumentName

    public void setArgumentName(String argName)

### getArgumentName

    public String getArgumentName()

### setPathExtension

    public void setPathExtension(boolean pathExt)

### setPathExtensionNoEquals

    public void setPathExtensionNoEquals(boolean pathExtNoEquals)

### setPathExtensionNoQuestionmark

    public void setPathExtensionNoQuestionmark(boolean pathExtNoQuestionmark)

### setShouldCache

    public void setShouldCache(boolean b)

### isPathExtension

    public boolean isPathExtension()

### isPathExtensionNoEquals

    public boolean isPathExtensionNoEquals()

### isPathExtensionNoQuestionmark

    public boolean isPathExtensionNoQuestionmark()

### shouldCache

    public boolean shouldCache()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.